# Common Role

## Purpose
Provides shared configuration and security setup that applies to all servers in the infrastructure.

## What It Does

### System Packages
- Installs `aptitude` for better package management and dependency resolution
- Updates package cache to ensure latest package information

### Security Configuration
- Enables UFW (Uncomplicated Firewall) with default deny policy
- Provides baseline firewall protection for all managed servers

## Usage
This role is automatically applied to all servers in the infrastructure as part of the main site.yml playbook. It ensures consistent base configuration across all managed systems.

## Dependencies
None - this is a foundational role that other roles can depend on.

## Notes
This role is designed to be lightweight and provide only the most essential common functionality. Server-specific configurations should be handled by dedicated roles like `docker` or `bootstrap`.