#!/bin/bash

# Create and navigate to a temporary directory
TMP_DIR="/tmp/warhammer_feed"
mkdir -p "$TMP_DIR"
cd "$TMP_DIR" || exit 1

# Run the Docker command to generate the RSS feed
docker run --rm -v "$TMP_DIR":/app/output git.thesatelliteoflove.com/phil/rss-warhammer

# Copy the generated file to the desired location
cp "$TMP_DIR/warhammer_rss_feed.xml" /opt/stacks/caddy/site/tsol/feeds

# Restart the Docker stack
docker compose -f /opt/stacks/glance/compose.yml restart
